#!/bin/bash

echo -e "\033[31m开始部署  tomcat1 - tomcat2\033[0m"
###下载tomcat和JDK到opt目录
cd /opt
wget http://8.210.81.239/linux/tomcat/jdk-8u221-linux-x64.tar.gz
wget http://8.210.81.239/linux/tomcat/tomcat8.0.52-1.zip
wget http://8.210.81.239/linux/tomcat/tomcat8.0.52-2.zip

unzip tomcat8.0.52-1.zip
unzip tomcat8.0.52-2.zip

###解压jdk
tar zxf jdk-8u221-linux-x64.tar.gz
#mv  jdk1.8.0_221_221   jdk1.8.0_221



###设置环境变量

java=`cat /etc/profile |grep JAVA_HOME |grep -v grep |wc -l `

if [ $java = 0 ];then


cat >>/etc/profile <<EOF
export JAVA_HOME=/opt/jdk1.8.0_221
export JRE_HOME=/opt/jdk1.8.0_221/jre
export PATH=\$PATH:/opt/jdk1.8.0_221/bin
export CLASSPATH=./:/opt/jdk1.8.0_221/lib:/opt/jdk1.8.0_221/jre/lib
EOF
cat >>/etc/security/limits.conf <<EOF
* soft nofile 65535
* hard nofile 65535
EOF
ulimit -SHn 51200


source  /etc/profile
else
echo "Already have the jave environment"
fi 

mkdir -p /opt/log

rm -f /opt/tomcat8.0.52-1.zip
rm -f /opt/tomcat8.0.52-2.zip
rm -f  /opt/jdk-8u221-linux-x64.tar.gz
rm -f /opt/tomcat8-start-stop-restart.txt

echo "install success"
echo -e "\033[31m部署  tomcat1 - tomcat2 完成\033[0m"
/opt/tomcat1/bin/version.sh
/opt/tomcat2/bin/version.sh

